## com.imcode.imcms.servlet.superadmin
Class AdminCategories

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.imcode.imcms.servlet.superadmin.AdminCategories

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class AdminCategories

extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Nested Class Summary
`static class` `AdminCategories.AdminCategoriesPage`

Field Summary
`static java.lang.String` `ATTRIBUTE__FORM_DATA`
`static java.lang.String` `PARAMETER__BROWSE_FOR_IMAGE`
`static java.lang.String` `PARAMETER__CATEGORY_DELETE`
`static java.lang.String` `PARAMETER__INHERITED`
`static java.lang.String` `PARAMETER__MAX_CHOICES`
`static java.lang.String` `PARAMETER__NAME`
`static java.lang.String` `PARAMETER_BUTTON__CANCEL`
`static java.lang.String` `PARAMETER_BUTTON__SELECT_CATEGORY_TYPE_TO_SHOW_OR_REMOVE`
`static java.lang.String` `PARAMETER_CATEGORY_TYPE_ADD`
`static java.lang.String` `PARAMETER_CATEGORY_TYPE_SAVE`
`static java.lang.String` `PARAMETER_MODE__ADD_CATEGORY`
`static java.lang.String` `PARAMETER_MODE__ADD_CATEGORY_TYPE`
`static java.lang.String` `PARAMETER_MODE__DEFAULT`
`static java.lang.String` `PARAMETER_MODE__DELETE_CATEGORY`
`static java.lang.String` `PARAMETER_MODE__DELETE_CATEGORY_TYPE`
`static java.lang.String` `PARAMETER_MODE__EDIT_CATEGORY`
`static java.lang.String` `PARAMETER_MODE__EDIT_CATEGORY_TYPE`
`static java.lang.String` `PARAMETER_MODE__VIEW_CATEGORY`
`static java.lang.String` `PARAMETER_SELECT__CATEGORY_TYPE_TO_ADD_TO`
`static java.lang.String` `PARAMETER_SELECT__CATEGORY_TYPE_TO_SHOW`

Constructor Summary
`AdminCategories()`

Method Summary
`static java.lang.String` `createHtmlOptionListOfCategoriesForOneType(CategoryTypeDomainObject categoryType, CategoryDomainObject selectedCategory)`
`static java.lang.String` `createHtmlOptionListOfCategoryTypes(CategoryTypeDomainObject selectedType)`
`protected void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE__FORM_DATA

    public static final java.lang.String ATTRIBUTE__FORM_DATA

See Also:
  Constant Field Values

### PARAMETER__NAME

    public static final java.lang.String PARAMETER__NAME

See Also:
  Constant Field Values

### PARAMETER_BUTTON__SELECT_CATEGORY_TYPE_TO_SHOW_OR_REMOVE

    public static final java.lang.String PARAMETER_BUTTON__SELECT_CATEGORY_TYPE_TO_SHOW_OR_REMOVE

See Also:
  Constant Field Values

### PARAMETER_SELECT__CATEGORY_TYPE_TO_SHOW

    public static final java.lang.String PARAMETER_SELECT__CATEGORY_TYPE_TO_SHOW

See Also:
  Constant Field Values

### PARAMETER_SELECT__CATEGORY_TYPE_TO_ADD_TO

    public static final java.lang.String PARAMETER_SELECT__CATEGORY_TYPE_TO_ADD_TO

See Also:
  Constant Field Values

### PARAMETER__BROWSE_FOR_IMAGE

    public static final java.lang.String PARAMETER__BROWSE_FOR_IMAGE

See Also:
  Constant Field Values

### PARAMETER_MODE__EDIT_CATEGORY_TYPE

    public static final java.lang.String PARAMETER_MODE__EDIT_CATEGORY_TYPE

See Also:
  Constant Field Values

### PARAMETER_MODE__DELETE_CATEGORY_TYPE

    public static final java.lang.String PARAMETER_MODE__DELETE_CATEGORY_TYPE

See Also:
  Constant Field Values

### PARAMETER_MODE__ADD_CATEGORY_TYPE

    public static final java.lang.String PARAMETER_MODE__ADD_CATEGORY_TYPE

See Also:
  Constant Field Values

### PARAMETER_MODE__EDIT_CATEGORY

    public static final java.lang.String PARAMETER_MODE__EDIT_CATEGORY

See Also:
  Constant Field Values

### PARAMETER_MODE__ADD_CATEGORY

    public static final java.lang.String PARAMETER_MODE__ADD_CATEGORY

See Also:
  Constant Field Values

### PARAMETER_MODE__DELETE_CATEGORY

    public static final java.lang.String PARAMETER_MODE__DELETE_CATEGORY

See Also:
  Constant Field Values

### PARAMETER_MODE__VIEW_CATEGORY

    public static final java.lang.String PARAMETER_MODE__VIEW_CATEGORY

See Also:
  Constant Field Values

### PARAMETER_MODE__DEFAULT

    public static final java.lang.String PARAMETER_MODE__DEFAULT

See Also:
  Constant Field Values

### PARAMETER_BUTTON__CANCEL

    public static final java.lang.String PARAMETER_BUTTON__CANCEL

See Also:
  Constant Field Values

### PARAMETER__MAX_CHOICES

    public static final java.lang.String PARAMETER__MAX_CHOICES

See Also:
  Constant Field Values

### PARAMETER_CATEGORY_TYPE_SAVE

    public static final java.lang.String PARAMETER_CATEGORY_TYPE_SAVE

See Also:
  Constant Field Values

### PARAMETER_CATEGORY_TYPE_ADD

    public static final java.lang.String PARAMETER_CATEGORY_TYPE_ADD

See Also:
  Constant Field Values

### PARAMETER__INHERITED

    public static final java.lang.String PARAMETER__INHERITED

See Also:
  Constant Field Values

### PARAMETER__CATEGORY_DELETE

    public static final java.lang.String PARAMETER__CATEGORY_DELETE

See Also:
  Constant Field Values

Constructor Detail

### AdminCategories

    public AdminCategories()

Method Detail

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest req,
                          javax.servlet.http.HttpServletResponse res)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### createHtmlOptionListOfCategoryTypes

    public static java.lang.String createHtmlOptionListOfCategoryTypes(CategoryTypeDomainObject selectedType)

### createHtmlOptionListOfCategoriesForOneType

    public static java.lang.String createHtmlOptionListOfCategoriesForOneType(CategoryTypeDomainObject categoryType,
                                                                              CategoryDomainObject selectedCategory)